## ros-crystal-tf2-msgs 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
#find_package(actionlib_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

## TODO(tfoote) add actions back
#add_action_files(DIRECTORY action FILES LookupTransform.action)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/TF2Error.msg"
  "msg/TFMessage.msg"
  "srv/FrameGraph.srv"
  DEPENDENCIES builtin_interfaces std_msgs geometry_msgs
)

install(
  FILES tfmessage_bridge_mapping_rule.yaml
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-crystal-tf2-msgs (0.10.1-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-crystal-tf2-msgs (0.10.0-0bionic) bionic; urgency=high

  * use add_compile_options instead of setting only cxx flags
  * Contributors: Mikael Arguedas

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.15-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.14-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.13-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.12-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.11-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.10-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.9-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.8-0bionic) bionic; urgency=high

  * remove useless Makefile files
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.7-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.6-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.5-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.4-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-crystal-tf2-msgs (0.5.3-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.2-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.1-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-crystal-tf2-msgs (0.5.0-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-crystal-tf2-msgs (0.4.10-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 08:00:00 -0000

ros-crystal-tf2-msgs (0.4.9-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-crystal-tf2-msgs (0.4.8-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-crystal-tf2-msgs (0.4.7-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.6-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.5-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.4-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.3-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.2-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.1-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.4.0-0bionic) bionic; urgency=high

  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Jun 2013 07:00:00 -0000

ros-crystal-tf2-msgs (0.3.6-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 03 Mar 2013 08:00:00 -0000

ros-crystal-tf2-msgs (0.3.5-0bionic) bionic; urgency=high

  * 0.3.4 -> 0.3.5

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 22:46:00 -0000

ros-crystal-tf2-msgs (0.3.4-0bionic) bionic; urgency=high

  * 0.3.3 -> 0.3.4

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 21:14:00 -0000

ros-crystal-tf2-msgs (0.3.3-0bionic) bionic; urgency=high

  * 0.3.2 -> 0.3.3

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 19:30:00 -0000

ros-crystal-tf2-msgs (0.3.2-0bionic) bionic; urgency=high

  * 0.3.1 -> 0.3.2

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 08:42:00 -0000

ros-crystal-tf2-msgs (0.3.1-0bionic) bionic; urgency=high

  * 0.3.0 -> 0.3.1

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 14 Feb 2013 08:00:00 -0000

ros-crystal-tf2-msgs (0.3.0-0bionic) bionic; urgency=high

  * switching to version 0.3.0
  * removing packages with missing deps
  * adding include folder
  * adding tf2_msgs/srv/FrameGraph.srv
  * catkin fixes
  * catkinizing geometry-experimental
  * catkinizing tf2_msgs
  * Adding ROS service interface to cpp Buffer
  * fix tf messages dependency and name
  * add python transform listener
  * Compiling version of the buffer server
  * Compiling version of the buffer client
  * Adding a message that encapsulates errors that can be returned by tf
  * A fully specified version of the LookupTransform.action


=== debian/control ===
Source: ros-crystal-tf2-msgs
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-builtin-interfaces, ros-crystal-geometry-msgs, ros-crystal-rosidl-default-generators, ros-crystal-ros-workspace, ros-crystal-rmw-connext-cpp, ros-crystal-rmw-fastrtps-cpp, ros-crystal-rmw-implementation, ros-crystal-rmw-opensplice-cpp, ros-crystal-rosidl-typesupport-connext-c, ros-crystal-rosidl-typesupport-connext-cpp, ros-crystal-rosidl-typesupport-opensplice-c, ros-crystal-rosidl-typesupport-opensplice-cpp
Homepage: http://www.ros.org/wiki/tf2_msgs
Standards-Version: 3.9.2

Package: ros-crystal-tf2-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-builtin-interfaces, ros-crystal-geometry-msgs, ros-crystal-rosidl-default-runtime, ros-crystal-ros-workspace
Description: tf2_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-tf2-msgs//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
